Bug 1893972 - Should skip e2e test cases as early as possible
Summary: Should skip e2e test cases as early as possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 08:51 UTC by Qin Ping
Modified: 2021-02-24 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:29:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 451 0 None closed Bug 1893972: UPSTREAM: 96144: Skip the sig-storage e2e test as early as possible 2021-01-11 08:09:34 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:29:45 UTC

Description Qin Ping 2020-11-03 08:51:33 UTC
Description of Problem:
Should skip e2e test cases as early as possible

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-10-27-051128

How Reproducible:
Always



Steps to Reproduce:

Actual Results:
When running e2e test on aws cluster, we can find some skip msg like:
[piqin@preserve-storage-server1 ~]$ cat azure.result|grep "skip \["|grep " Driver azure-disk"
skip [k8s.io/kubernetes@v1.19.0/test/e2e/storage/testsuites/base.go:162]: Driver azure-disk doesn't support snapshot type DynamicSnapshot -- skipping
skip [k8s.io/kubernetes@v1.19.0/test/e2e/storage/testsuites/base.go:185]: Driver azure-disk doesn't support ntfs -- skipping


Expected Results:
Should skip these test earlier and report the skip msg like:
skip [k8s.io/kubernetes@v1.19.0/test/e2e/storage/drivers/in_tree.go:1543]: Only supported for providers [azure] (not aws)

Comment 1 Qin Ping 2020-11-03 09:02:05 UTC
Created a PR: https://github.com/kubernetes/kubernetes/pull/96144

Comment 4 Jan Safranek 2021-01-06 09:59:52 UTC
It was merged during openshift/origin rebase to 1.20: https://github.com/openshift/origin/pull/25764

Comment 6 Qin Ping 2021-01-11 08:48:52 UTC
Verified with: 4.7.0-0.nightly-2021-01-10-070949

Comment 9 errata-xmlrpc 2021-02-24 15:29:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.